import { Data, Override, Animatable } from "framer";

const names = [
  {
    artist: "Timoty Reynolds",
    title: "Smooth Flows"
  },
  {
    artist: "Rick Tomson",
    title: "Awakening"
  },
  {
    artist: "Vanessa Jones",
    title: "Reverberations"
  },
  {
    artist: "Yolo & Record",
    title: "Shifted Views"
  },
  {
    artist: "Marissa Powell",
    title: "Nightlife"
  },
  {
    artist: "Kody Villegas",
    title: "Smoking Sensations"
  },
  {
    artist: "Memphis Jackson",
    title: "Your Graciousness"
  },
  {
    artist: "Savanna Logan",
    title: "Dedication To The Cause"
  },
  {
    artist: "Skyler Kline",
    title: "X Marks The Spot"
  }
];

export const data = Data({ title: names[0].title, artist: names[0].artist });

export const PageOverride: Override = () => {
  return {
    onChangePage(pageIndex: number) {
      const { artist, title } = names[pageIndex];
      data.artist = artist;
      data.title = title;
    }
  };
};

export const SwapTitle: Override = () => {
  return {
    text: data.title
  };
};

export const SwapArtist: Override = () => {
  return {
    text: data.artist
  };
};

// export const SwapTitle: Override = () => {
//   return {
//     text: data.title
//   };
// };

// export const SwapArtist: Override = () => {
//   return {
//     text: data.artist
//   };
// };

// export const data = Data({
//   title: Animatable(names[0].title),
//   artist: Animatable(names[0].artist)
// });

// export const PageOverride: Override = () => {
//   return {
//     onChangePage(pageIndex: number, previousIndex: number) {
//       console.log(pageIndex, previousIndex);
//       const { artist, title } = names[pageIndex];
//       data.artist.set(artist);
//       data.title.set(title);
//     }
//   };
// };
